simplebackup.conf(5)

NAME

simplebackup.conf - configuration file for simplebackup(1)

DESCRIPTION
This file contains the configuration for the backups done by simplebackup(1).

SYNTAX
This file is a bash(1) shell script. It is used to set some shell variables and a shell function that are used by the backup script. Be careful in what you write here: the configuration file is sourced and all commands within are executed on the beginning of a backup.

VARIABLES

SILENT
    If set to true, simplebackup will print only errors and warnings.

TARGETDIR
    This is the directory where the backup is written to. Be sure to have enough free disk space here.

WORKDIR
    This is the directory where the backup is prepared. Disk space needed here is the sum of all data to be backed up. This directory will be deleted on startup, so don't point to anyting important.

BACKUPDIRS
    These paths and their subdirectories are to be backed up while crossing file system boundaries. Use : to separate multiple paths.

BACKUPDIRS_ONEFS
    These paths and their subdirectories are to be backed up. No file system boundaries will be crossed. Use : to separate multiple paths.

NAME
    This is the name of the backup. It is later prepended with a timestamp.

LOCKFILE
    This lockfile is used to detect another running backup. You can run multiple different backups in parallel by using different lockfiles in different configurations.

NICELEVEL
    Nice level to run with. 20 is low priority, 0 is normal, -20 is high priority (only root can do this).

CHROOT
    Chroot path. If you want to backup another system that is reachable via your file system, you have to point this variable to the other system's root directory. Leave empty for normal operation.

FUNCTIONS

extracommands()
    These commands are executed before the backup. Here you can dump databases, save your partition layout etc. Put additional files to be backed up into $WORKDIR or subdirectories thereof. extracommand() is executed before entering a possible $CHROOT.

postcopy()
    These commands are executed after copying all files into the $WORKDIR, but before putting them into the backup archive. If some files need to be excluded from the $BACKUPDIRS then delete them here. postcopy() is executed outside a possible $CHROOT.

postbackup()
    These commands are executed after the backup. The new backup filename is available as $BACKUPFILE.

SEE ALSO
simplebackup(1), expirebackups(1)

AUTHOR
simplebackup was written by Christian Garbs <mitch@cgarbs.de>.

COPYRIGHT
simplebackup is licensed under GNU GPL v2 or later